For the complete documentation index, see llms.txt. This page is also available as Markdown.

List certificates

get
Responses
200

OK

application/json
get/public/v1/program/certificates
GET /public/v1/program/certificates HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {},
        "updated": {},
        "activated": {},
        "pending": {},
        "terminated": {},
        "expired": {},
        "updating": {}
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "program": {
        "id": "text",
        "name": "text",
        "status": "text",
        "applicableTo": "text",
        "products": [
          "[Circular Reference]"
        ]
      },
      "name": "text",
      "externalIds": {
        "vendor": "text"
      },
      "client": {
        "id": "text",
        "icon": "text",
        "type": "text",
        "status": "text",
        "name": "text"
      },
      "applicableTo": "text",
      "buyer": {
        "id": "text",
        "icon": "text",
        "name": "text"
      },
      "licensee": {
        "id": "text",
        "icon": "text",
        "name": "text",
        "externalId": "text"
      },
      "eligibility": {
        "client": true,
        "partner": true
      },
      "status": "text",
      "expirationDate": "2026-01-01",
      "template": {
        "id": "text",
        "name": "text",
        "type": "text"
      },
      "parameters": {
        "ordering": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "text",
            "phase": "text",
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "hidden": true,
              "readonly": true,
              "required": true
            },
            "displayValue": "text",
            "value": null
          }
        ],
        "fulfillment": [
          {
            "id": "text",
            "externalId": "text",
            "name": "text",
            "type": "text",
            "phase": "text",
            "error": {
              "id": "text",
              "message": "text",
              "parameters": null
            },
            "constraints": {
              "hidden": true,
              "readonly": true,
              "required": true
            },
            "displayValue": "text",
            "value": null
          }
        ]
      },
      "terms": [
        {
          "id": "text",
          "audit": {},
          "$meta": {
            "omitted": [
              "text"
            ]
          },
          "name": "text",
          "description": "text",
          "displayOrder": 1,
          "status": "text",
          "program": {},
          "accepted": "2026-01-01T00:00:00.000Z",
          "acceptedBy": {
            "id": "text",
            "$meta": {
              "omitted": [
                "text"
              ]
            },
            "name": "text",
            "firstName": "text",
            "lastName": "text",
            "email": "text",
            "icon": "text"
          }
        }
      ]
    }
  ]
}

Last updated

Was this helpful?